'use strict'

exports.__esModule = true
exports.default = void 0

var _react = require('react')

var _default = (off = false, on = true, defaultValue = off) => {
  if (process.env.NODE_ENV !== 'production') {
    if (defaultValue !== on && defaultValue !== off) {
      throw new Error(
        "'defaultValue' must be one of either the 'off' or 'on' value. " +
          ("'" +
            defaultValue +
            "' was not equal to '" +
            off +
            "' or '" +
            on +
            "'.")
      )
    }
  }

  const [value, setValue] = (0, _react.useState)(defaultValue)
  return [
    value,
    (0, _react.useCallback)(() => setValue(value === off ? on : off), [
      value,
      on,
      off,
    ]),
  ]
}

exports.default = _default
